netatalk: virtual_icon.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
virtual_icon.h File Reference
`#include <atalk/globals.h>`
`#include "volume.h"`

Go to the source code of this file.

## Macros
#define | VIRTUAL_ICON_NAME "Icon\x0D"
#define | VIRTUAL_ICON_CNID 16
#define | RFORK_HEADER_SIZE 16
#define | RFORK_DATA_LEN_OFF 8

## Functions
int | virtual_icon_enabled (const struct vol *vol)
int | is_virtual_icon_name (const char *name)
int | real_icon_exists (const struct vol *vol)
void | virtual_icon_init (struct vol *vol)
const unsigned char * | virtual_icon_get_rfork (const struct vol *vol, size_t *outlen)
int | virtual_icon_getfilparams (const AFPObj *obj, struct vol *vol, uint16_t bitmap, char *buf, size_t *buflen)
| Synthesize AFP file parameters for the virtual Icon\r file.

## Macro Definition Documentation

## ◆ RFORK_DATA_LEN_OFF

#define RFORK_DATA_LEN_OFF 8

Offset within the resource fork header of the data-length field

## ◆ RFORK_HEADER_SIZE

#define RFORK_HEADER_SIZE 16

Size of the classic Mac resource fork header (data offset, map offset, data length, map length — four big-endian uint32s). The "data length" field at offset 8 is zero when the fork contains no resources.

## ◆ VIRTUAL_ICON_CNID

#define VIRTUAL_ICON_CNID 16

Reserved CNID for the virtual Icon file (below CNID_START=17)

## ◆ VIRTUAL_ICON_NAME

#define VIRTUAL_ICON_NAME "Icon\x0D"

The Mac filename: "Icon" followed by carriage return (0x0D)

## Function Documentation

## ◆ is_virtual_icon_name()

int is_virtual_icon_name | ( | const char * | name | ) |

## ◆ real_icon_exists()

int real_icon_exists | ( | const struct vol * | vol | ) |

## ◆ virtual_icon_enabled()

int virtual_icon_enabled | ( | const struct vol * | vol | ) |

## ◆ virtual_icon_get_rfork()

const unsigned char * virtual_icon_get_rfork | ( | const struct vol * | vol,
|  | size_t * | outlen )

## ◆ virtual_icon_getfilparams()

int virtual_icon_getfilparams | ( | const AFPObj * | obj,
|  | struct vol * | vol,
|  | uint16_t | bitmap,
|  | char * | buf,
|  | size_t * | buflen )

Synthesize AFP file parameters for the virtual Icon\r file.

This fills the reply buffer with parameters matching the requested bitmap, just as getmetadata/getfilparams would for a real file.

## ◆ virtual_icon_init()

void virtual_icon_init | ( | struct vol * | vol | ) |